libnvme(2)

NAME
struct nvme_copy_args - Arguments for the NVMe Copy command

SYNOPSIS
struct nvme_copy_args {
__u64 sdlba;
__u32 *result;
struct nvme_copy_range *copy;
int args_size;
int fd;
__u32 timeout;
__u32 nsid;
__u32 ilbrt;
int lr;
int fua;
__u16 nr;
__u16 dspec;
__u16 lbatm;
__u16 lbat;
__u8 prinfor;
__u8 prinfow;
__u8 dtype;
__u8 format;
__u64 ilbrt_u64;
};

Members

sdlba
    Start destination LBA

result
    The command completion result from CQE dword0

copy
    Range description

args_size
    Size of struct nvme_copy_args

fd  File descriptor of the nvme device

timeout
    Timeout in ms

nsid
    Namespace identifier

ilbrt
    Initial logical block reference tag

lr  Limited retry

fua Force unit access

nr  Number of ranges

dspec
    Directive specific value

lbatm
    Logical block application tag mask

lbat
    Logical block application tag

prinfor
    Protection information field for read

prinfow
    Protection information field for write

dtype
    Directive type

format
    Descriptor format

ilbrt_u64
    Initial logical block reference tag - 8 byte version required for enhanced protection info